# Agora Rust SDK



Agora Live Interactive Video Streaming enables one-to-many and many-to-many audio or video live streaming with the Agora RTC SDK.

Agora Live Interactive Video Streaming is different from [Agora Video Call](https://docs.agora.io/en/Interactive%20Broadcast/product_live). In a video call, all users are the same role and can talk to each other freely. In a live video streaming, users can be the host or audience, where only the host can talk. For details, see this [FAQ](https://docs.agora.io/en/faq/profile_difference).

Different from the traditional CDN live broadcast, which only allows one-way communication from the hosts to the audience, the Agora RTC SDK empowers the audience to interact with the hosts by [becoming a host](https://docs.agora.io/en/Agora%20Platform/terms?platform=Android#becoming-host), like a viewer jumping onto the stage in the middle of a play to perform.

The Agora RTC SDK is applicable to scenarios that encourage active engagement, such as game-playing, online classes for students in small groups, and Q&A sessions during E-commerce live streaming. You can also use this SDK for one-to-one video calls that require high image quality.

**For more detail information, please visit our [website](https://docs.agora.io/en/Interactive%20Broadcast/product_live?platform=All%20Platforms) and [GitHub repository](https://github.com/AgoraIO-Community/Agora-Rust-SDK); and for some quick-start demos, please visit [Agora-Rust-QuickStart](https://github.com/AgoraIO-Community/Agora-Rust-QuickStart).**

